;//  miscmsg.mc (.h)
;// $Project: NMASNTCat$ $Workfile: miscmsg.mc $ $Revision: 28 $ $Date: 11/16/99 3:09p $
;//  
;//**  Copyright NCR Corp. 1997
;//**  This media contains an authorized
;//**  copy or copies of material copyrighted
;//**  by NCR Corp.  This copyright notice
;//**  and any other copyright notices
;//**  included in machine readable copies
;//**  must be reproduced on all authorized
;//**  copies.  Confidential, Unpublished
;//**  Property of NCR Corporation
;//
;// Error Messages Definitions
;//
;// NMAS_REGISTRY_NAME is the name of the "SOURCE" Logging errors.  NMAS_REGISTRY_NAME
;//    can be used in the RegisterSource function of the CErrorLog Class or 
;//    in the WIN32SDK function RegisterEventSource.
;//
;//
;// The following lines should be in your application specific message file:
;//      //NMAS_REGISTRY_NAME should be 18 char or less
;//      #define NMAS_REGISTRY_NAME	"test"
;//
;// The install process for "NMAS_REGISTRY_NAME" should add the following key
;//     and values to the NT registry.

;//         HKEY_LOCAL_MACHINE 
;//           System 
;//             CurrentControlSet 
;//               Services 
;//                 EventLog 
;//                   Application 
;//                     <NMAS_REGISTRY_NAME> 
;//							EventMessageFile:REG_EXPAND_SZ:Full Path name of the 
;//								executable or DLL containing the messages 
;//							CategoryMessageFile:REG_EXPAND_SZ:Full Path name of the 
;//								executable or DLL containing the Categories can be same 
;//								as EventMessageFile
;//							CategoryCount:REG_DWORD:Hex value of "NMAS_CATEGORY_COUNT"
;//								or the total number of categories in CategoryMessageFile
;//							TypesSupported:REG_DWORD:0x07




;//
;// Store Minder Event Categories
;//     Category description should be 20 char or less


MESSAGEID=1
SYMBOLICNAME= SM_CAT_STARTUP_INIT
LANGUAGE=ENGLISH
Startup/Init
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_STOP_ABORT
LANGUAGE=ENGLISH
Stop/Abort
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_CONFIGURATION
LANGUAGE=ENGLISH
Configuration
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_INPUT_PARAMETER
LANGUAGE=ENGLISH
Input/Parameter
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_SYSTEM_CALL
LANGUAGE=ENGLISH
System Call
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_3rd_PARTY_INTERFACE
LANGUAGE=ENGLISH
3rd Party Interface
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_INTERNAL_INTERFACE
LANGUAGE=ENGLISH
Internal Interface
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_DATA_CAPTURE
LANGUAGE=ENGLISH
Data Capture/Debug
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_LAN_WAN_COMM
LANGUAGE=ENGLISH
LAN/WAN Comm
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_SECURITY
LANGUAGE=ENGLISH
Security
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_FILE_IO
LANGUAGE=ENGLISH
File I/O
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_RESOURCE
LANGUAGE=ENGLISH
Memory/Resources
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_IPC
LANGUAGE=ENGLISH
IPC
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_PERIPHERAL_COMM
LANGUAGE=ENGLISH
Peripheral Comm
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_HARDWARE
LANGUAGE=ENGLISH
Hardware
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_DEVICE_PERIPHERAL
LANGUAGE=ENGLISH
Device/Peripheral
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_OPERATOR
LANGUAGE=ENGLISH
Operational/User
.

MESSAGEID=
SYMBOLICNAME= SM_CAT_INTERNAL_ERROR
LANGUAGE=ENGLISH
Internal Error
.



MessageId=500
SymbolicName=IDS_EVT_ERR_SIGNALLING_EVENT
Severity=Error
Language=English
Error Signaling Event : Error Code = %1%n
%n
Meaning : API call 'SetEvent' failed.%n
%n
Action  : Restart system.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=501
SymbolicName=IDS_EVT_ERR_WAITING_FOR_SIGNAL_EVENT
Severity=Error
Language=English
Error while Waiting for Event to be Signaled : Error Code = %1%n
%n
Meaning : Windows API call failed while Waiting for an Event to be signaled.%n
%n
Action  : Restart system.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=502
SymbolicName=IDS_EVT_ERR_RESETTING_EVENT
Severity=Error
Language=English
Error Resetting Event : Error Code = %1%n
%n
Meaning : Windows API call 'ResetEvent' failed.%n
%n
Action  : Restart system.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=503
SymbolicName=IDS_EVT_ERR_OPENING_PROFILE
Severity=Error
Language=English
Failed To Open Device Profile.%n
%n
Meaning : Failed to open device profile %1. %nInitialization failed.%n
%n
Action  :  Configure device profile then retry.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.

MessageId=504
SymbolicName=IDS_EVT_ERR_FAIL_READING_REG_STR
Severity=Error
Language=English
Failed To Read Registry String.%n
%n
Meaning : Failed to read registry value %1 under key %2. %nInitialization failed.%n
%n
Action  :  Properly configure device profile then retry. Additionally, ensure no security permission problems exist.%n
%n
Source File : %3%n
Source Line : %4%n
Method Name : %5
.

MessageId=505
SymbolicName=IDS_EVT_ERR_INVALID_PARAMETER_VALUE
Severity=Error
Language=English
Invalid value for registry parameter.%n
%n
Meaning : Registry data %1 is invalid for the parameter %2. %nInitialization failed.%n
%n
Action  :  Properly configure device profile then retry.%n
%n
Source File : %3%n
Source Line : %4%n
Method Name : %5
.

MessageId=506
SymbolicName=IDS_EVT_ERR_OPEN_INIT_FAILED
Severity=Error
Language=English
Initialization failed.%n
%n
Meaning : Initialization failed during class and device initialization.%nSee other events and datacapture for additional information.%nInitialization failed.%n
%n
Action  :  See other event logs and datacapture for specific error information.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=507
SymbolicName=IDS_EVT_ERR_ALLOC_PORTHANDLE
Severity=Error
Language=English
Failed allocating resource.%n
%n
Meaning : A PortHandle array element (maintained in shared memory) could not be allocated. Initialization failed.%n
%n
Action  :  Retry, shutdown application and restart, or reboot. If problem persists, contact appropriate support personnel.%n
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=508
SymbolicName=IDS_EVT_ERR_OPENING_COMPORT
Severity=Error
Language=English
Failed opening serial port.%n
%n
Meaning : Failed to open serial port %1. Initialization failed.%n
%n
Action  :  Ensure port %1 exists and is unused by other applications.%n
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4
.



MessageId=510
SymbolicName=IDS_EVT_ERR_CREATING_OBJECT
;//Severity=Error
;//Facility=SM_CAT_RESOURCE
Language=English
Error Creating Object : %n
%nMeaning : The system is running low on resources.%nAction : Check the Data Capture file. Shut down a few applications/windows and run again.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

;// change with care - event shared with keylock so's msg dll
MessageId=511
SymbolicName=IDS_EVT_ERR_CREATING_THREAD
;//Severity=Error
;//Facility=SM_CAT_RESOURCE
Language=English
Error Creating Thread : %n
%nMeaning : The system is running low on resources.%nAction : Check the Data Capture file. Shut down a few applications/windows and run again.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=512
SymbolicName=IDS_EVT_EVENT_WAIT_TIMEOUT
;//Severity=Error
;//Facility=SM_CAT_IPC
Language=English
Timeout before Synch. Event set : %n
%nMeaning : The event being waited upon did not occur in the given time.%nAction : Check the Data Capture file for more information.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=513
SymbolicName=IDS_EVT_EVENT_WAIT_FAILED
;//Severity=Error
;//Facility=SM_CAT_IPC
Language=English
Wait on Synch. Event failed : %n
%nMeaning : The event being waited upon did not occur.%nAction : Check the Data Capture file for more information.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=514
SymbolicName=IDS_EVT_EVENT_SET_FAILED
;//Severity=Error
;//Facility=SM_CAT_IPC
Language=English
Failed to Set Event : %n
%nMeaning : The synchronization event object could not be 'set' to indicate that the event occurred.%nAction : Check the data Capture file for more information.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=515
SymbolicName=IDS_EVT_EVENT_RESET_FAILED
;//Severity=Error
;//Facility=SM_CAT_IPC
Language=English
Failed to Reset Event : %n
%nMeaning : The synchronization event object could not be reset.%nAction : Check the Data Capture file for more information.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=516
SymbolicName=IDS_EVT_MUTEX_WAIT_TIMEOUT
;//Severity=Error
;//Facility=SM_CAT_IPC
Language=English
Timeout before Mutex set : %n
%nMeaning : The Mutex object (required for claiming the Control) was not acquired in the specified timeout period. It may have been already claimed by another process.%nAction : Release the MiscIF Control from the other application first.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=517
SymbolicName=IDS_EVT_MUTEX_WAIT_FAILED
;//Severity=Error
;//Facility=SM_CAT_IPC
Language=English
Waiting on Mutex to be set failed : %n
%nMeaning : The Mutex object (required for claiming the Control) was not acquired. It may have been claimed by another process.%nAction : Release the MiscIF Control from the other application first.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=518
SymbolicName=IDS_EVT_MUTEX_RELEASE_FAILED
;//Severity=Error
;//Facility=SM_CAT_IPC
Language=English
Failed to Release Mutex : %n
%nMeaning : The Mutex object used for claiming the Control could not be released.%nAction : Check the Data Capture file.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3
.

MessageId=519
SymbolicName=IDS_EVT_ERR_EXCEPTION_CAUGHT
;//Severity=Error
;//Facility=SM_CAT_SYSTEM_CALL
Language=English
Exception Caught : %n
%nMeaning : An exception has occurred due to an illegal action.%nAction : Shut down the system and re-start.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3%n
Exception Code : %4%n
Exception Description: %5
.

;// change with care - event shared with keylock so's msg dll
MessageId=520
SymbolicName=IDS_EVT_ERR_FAIL_COMM_TO_ONTRAK_BD
;//Severity=Error
;//Facility=SM_CAT_SYSTEM_CALL
Language=English
Failed to communicate to hardware : %n
%nMeaning : Failed to communicate to Scot Interface Unit. %nMiscIF7401 control is configured for %1. Ensure hardware is attached to same port and is powered up.
%n
Source File : %2%n
Source Line : %3%n
Method Name : %4%n
.

;// change with care - event shared with keylock so's msg dll
MessageId=521
SymbolicName=IDS_EVT_ERR_CREATING_SHMMEM
;//Severity=Error
;//Facility=SM_CAT_SYSTEM_CALL
Language=English
Failed to create or attach to shared memory : %n
%nMeaning : Initialization failed to create or attach to shared memory.
%n
Source File : %1%n
Source Line : %2%n
Method Name : %3%n
.

;
;
;//Within the message text, several escape sequences are supported for
;//    dynamically formatting the message.  The percent sign character (%)
;//    begins all escape sequences.
;//
;//
;//        %0 - This terminates a message text line without a trailing
;//             newline.  This can be used to build up long lines or to
;//             terminate the message itself without a trailing newline,
;//             which is useful for prompt messages.
;//
;//        %n!printf format string!  - This identifies an insert.  The
;//             value of n can be between 1 and 99.  The printf format
;//             string must be bracketed by exclamation marks.  It is
;//             optional and defaults to !s! if not specified.
;//
;//             The printf format string can contain the * specifier for
;//             either the precision or width components, and if so, they
;//             will consume inserts %n+1 and %n+2 for their values at run
;//             time.  MC will print a warning message if an explicit
;//             reference is made to these inserts elsewhere in the message
;//             text.
;//
;//    Inserts must reference a parameter passed to the FormatMessage API
;//    call.  It will return an error if a message refers to an insert that
;//    was not passed to the FormatMessage API call.
;//
;//    Any other character following a percent sign, other than a digit will
;//    be formatted in the output message without the percent sign.  Some
;//    examples:
;//
;//        %% - will output a single percent sign in the formatted message text.
;//
;//        %n - will output a hard line break when it occurs at the end of a
;//             a line.  Useful when FormatMessage is supplying normal line
;//             breaks so the message fits in a certain width.
;//
;//        %r - will output a hard carriage return, without a trailing newline.
;//
;//        %b - will output a space in the formatted message text.  This
;//             can be used to insure there are the appropriate number of
;//             trailing spaces in a message text line.
;//
;//        %t - will output a tab in the formatted message text.
;//
;//        %. - will output a single period in the formatted message text.
;//             This can be used to get a single period at the beginning of
;//             a line without terminating the message text definition.
;//
;//        %! - will output a single exclamation point in the formatted
;//             message text.  This can be used to get an exclamation point
;//             immediately after an insert without it being mistaken for
;//             the beginning of a printf format string.
;//
;//
;//
;//
;//  The Following is a sample Message
;//
;//  MessageId=0x0100
;//  SymbolicName=ERROR_ONE
;//  Severity=Success
;//  Facility=NMAS_CAT_STOP
;//  Language=English
;//  Starting tmssvr%0
;//  .
;//  Language=French
;//  Commencant tmssvr%0
;//  .





